Leave a chat
post
/rest/ofscCollaboration/v1/chats/{chatId}/leave
This operation is used to leave an existing chat.
Note: Use empty JSON object as the request body.
Request
Path Parameters
-
chatId(required): integer
The unique identifier of the chat in Oracle Field Service.
Response
Supported Media Types
- application/json
- application/schema+json
204 Response
This section describes the 204 status response for this operation. This response code indicates that the operation completed successfully.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to leave an existing chat by submitting a POST request on the REST resource:
cURL command Example
The following shows an example of the cURL command.
curl -X POST "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCollaboration/v1/chats/1/leave" -H "Accept: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...KsowR1TqvdLZjtxQ7jbrXW8tuhHkjnRow" -H "Content-Type: application/json"
Response Header Example
The following shows an example of the response header.
HTTP/1.1 204 No Content Server: nginx Date: Thu, 22 Apr 2019 16:28:18 GMT Content-Type: application/json; charset=utf-8 Connection: close